module ClockDivider32 (
  input wire clk_in,
  output reg clk_out
);

reg [31:0] counter;

always @(posedge clk_in) begin
  if (counter == 32'd31) begin
    counter <= 0;
    clk_out <= ~clk_out;  // Invertieren des Ausgangssignals, um eine Halbwellenperiode zu erhalten
  end else begin
    counter <= counter + 1;
  end
end

endmodule
