module Counter (
  input wire clk,      // Clock
  input wire reset,    // Reset
  output reg [7:0] count // 8-bit counter
);
  always @(posedge clk or posedge reset) begin
    if (reset) begin
      count <= 8'b0;
    end else begin
      count <= count + 1;
    end
  end
endmodule