import math

depth = 256
width = 24

with open("sinus_rom.hex", "w") as hex_file:
    for address in range(depth):
        angle = 2 * math.pi * address / depth
        sine_value = int((math.sin(angle) + 1) * (2**(width - 1)))
        hex_file.write("{:06X}\n".format(sine_value))
